#pragma once
#include "mof/widget/WidgetView.hpp"

namespace mof
{

namespace widget
{

    class NullView 
    : 
        public WidgetView
    {
    public:
    	NullView();
    	virtual ~NullView( );

        virtual FrameNumber show( bool imidiately = false );
        virtual FrameNumber hide( bool imidiately = false );
        virtual FrameNumber focus( bool imidiately = false );
        virtual FrameNumber blur( bool imidiately = false );
        virtual FrameNumber click( bool imidiately = false );
		virtual mof::Vector2D getPreferredSize() const;
        virtual void update( );
        virtual void draw( ) const;
        virtual void setVisible(bool visible);
    };

}
}
